package com.ruoyi.programManagement.quartz;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.utils.Threads;
import com.ruoyi.programManagement.entity.BEnterpriseNew;
import com.ruoyi.programManagement.entity.BPlanEnterprise;
import com.ruoyi.programManagement.mapper.BEnterpriseNewMapper;
import com.ruoyi.programManagement.service.BPlanEnterpriseService;
import com.ruoyi.programManagement.service.IBEnterpriseNewService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.logging.Logger;

/**
 * 定时任务更新企业新表
 */
@Configuration
@EnableScheduling
//@Api(tags = "定时任务")
//@RestController
//@Transactional(rollbackFor = Exception.class)
//@RequestMapping("/pharmaceuticals/quartz")
public class EnterpristQuartz {


    private static final org.slf4j.Logger logger = LoggerFactory.getLogger(EnterpristQuartz.class);

    @Autowired
    private BEnterpriseNewMapper bEnterpriseNewMapper;


    @Resource
    private BPlanEnterpriseService bPlanEnterpriseService;

    @Resource
    private IBEnterpriseNewService bEnterpriseNewService;


    // 每天早上5点执行一次任务 更新企业新表的最新检查时间字段
    @Scheduled(cron = "0 0 5 * * ?")
//    @GetMapping("/getList")
//    @ApiOperation(value = "定时任务")
    public AjaxResult updateInformationData() {
        //三表关联查询数据
        List<BEnterpriseNew> list = bEnterpriseNewMapper.seletAll();
        //清空企业新表中的数据
        // bEnterpriseNewMapper.deletAll();
        // bEnterpriseNewService.saveBatch(list);

        // 改成只更新最新检查时间字段
        bPlanEnterpriseService.updateEndTime();

        return AjaxResult.success();
    }

    // 定时任务修改更新计划表的检查状态、检查id、检查时效字段
    @Scheduled(cron = "0 0 1 * * ?")
//    @GetMapping("/updateExamine")
//    @ApiOperation(value = "定时任务修改更新计划表的检查状态、检查id、检查时效字段")
    public AjaxResult updateExamine() {
        //查询计划表中的所有数据
        List<BPlanEnterprise> list = bPlanEnterpriseService.selectUpdateAll();
        bPlanEnterpriseService.updateBatchById(list);

        return AjaxResult.success();
    }


}
